
#site-logo, #site-logo-inner, #site-logo-inner a img {
    max-height: 100px !important; 
    width: auto !important;
    height: auto !important;
}


#site-header {
    height: 120px !important; 
    max-height: 120px !important;
    min-height: 120px !important;
    overflow: visible !important;
}


#mobile-dropdown {
    top: 120px !important; 
}